- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# QNetworkProxyFactory Class Reference

Search for all occurrences

## Detailed Description

Definition at line 166 of file qnetworkproxy.h.

`#include <qnetworkproxy.h>`

List of all members.

## Public Member Functions
| QNetworkProxyFactory ()
virtual | ~QNetworkProxyFactory ()
virtual QList< QNetworkProxy > | queryProxy (const QNetworkProxyQuery &query=QNetworkProxyQuery())=0
## Static Public Member Functions
static void | setUseSystemConfiguration (bool enable)
static void | setApplicationProxyFactory (QNetworkProxyFactory *factory)
static QList< QNetworkProxy > | proxyForQuery (const QNetworkProxyQuery &query)
static QList< QNetworkProxy > | systemProxyForQuery (const QNetworkProxyQuery &query=QNetworkProxyQuery())

## Constructor & Destructor Documentation

QNetworkProxyFactory | ( |  | ) |

virtual ~QNetworkProxyFactory | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QList<QNetworkProxy> queryProxy | ( | const QNetworkProxyQuery & | query = `QNetworkProxyQuery()` | ) | `[pure virtual]`

Search for all occurrences

static void setUseSystemConfiguration | ( | bool | enable | ) | `[static]`

Search for all occurrences

static void setApplicationProxyFactory | ( | QNetworkProxyFactory * | factory | ) | `[static]`

Search for all occurrences

static QList<QNetworkProxy> proxyForQuery | ( | const QNetworkProxyQuery & | query | ) | `[static]`

Search for all occurrences

static QList<QNetworkProxy> systemProxyForQuery | ( | const QNetworkProxyQuery & | query = `QNetworkProxyQuery()` | ) | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtNetwork/qnetworkproxy.h

QNetworkProxyFactory QNetworkProxyFactory QNetworkProxyFactory QNetworkProxyFactory QNetworkProxyFactory QNetworkProxyFactory QNetworkProxyFactory QNetworkProxyFactory QNetworkProxyFactory QNetworkProxyFactory
QNetworkProxyFactory QNetworkProxyFactory QNetworkProxyFactory QNetworkProxyFactory QNetworkProxyFactory QNetworkProxyFactory QNetworkProxyFactory QNetworkProxyFactory QNetworkProxyFactory QNetworkProxyFactory